## Index

### Variables

- OPTIONS

### Functions

- createAndConnect
- fetchFissionPeers
- listPeers
- monitorBitswap
- monitorPeers
- ping
- stopMonitoringBitswap
- stopMonitoringPeers
- tryConnecting

## Variables

### Const OPTIONS

OPTIONS: IPFSOptions = ...

- Defined in ipfs/node.ts:79

🎛️ IPFS Options

## Functions

### createAndConnect

- createAndConnect(pkg: IPFSPackage): Promise<IPFSCore>

- - Defined in ipfs/node.ts:113

  #### Parameters

  - ##### pkg: IPFSPackage

  #### Returns Promise<IPFSCore>

### fetchFissionPeers

- fetchFissionPeers(): Promise<string[]>

- - Defined in ipfs/node.ts:155

  #### Returns Promise<string[]>

### listPeers

- listPeers(): Promise<Multiaddr[]>

- - Defined in ipfs/node.ts:166

  #### Returns Promise<Multiaddr[]>

### monitorBitswap

- monitorBitswap(ipfs: IPFS, verbose: boolean): Promise<void>

- - Defined in ipfs/node.ts:338

  #### Parameters

  - ##### ipfs: IPFS

  - ##### verbose: boolean

  #### Returns Promise<void>

### monitorPeers

- monitorPeers(): Promise<void>

- - Defined in ipfs/node.ts:320

  #### Returns Promise<void>

### ping

- ping(ipfs: IPFS, peer: Multiaddr): Promise<{ latency: number }>

- - Defined in ipfs/node.ts:282

  #### Parameters

  - ##### ipfs: IPFS

  - ##### peer: Multiaddr

  #### Returns Promise<{ latency: number }>

### stopMonitoringBitswap

- stopMonitoringBitswap(): Promise<void>

- - Defined in ipfs/node.ts:409

  #### Returns Promise<void>

### stopMonitoringPeers

- stopMonitoringPeers(): void

- - Defined in ipfs/node.ts:326

  #### Returns void

### tryConnecting

- tryConnecting(ipfs: IPFS, peer: Multiaddr): void

- - Defined in ipfs/node.ts:253

  #### Parameters

  - ##### ipfs: IPFS

  - ##### peer: Multiaddr

  #### Returns void

Generated using TypeDoc